Skip to main content
GET
List cluster offers

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Query Parameters

gpu_type
string

e.g. H100.

gpus_per_node
enum<integer>

Only machines with this many GPUs each. Another whole number answers 400, anything else 422.

Available options:
1,
2,
4,
8
nodes
integer
default:2

The number of machines: only offers that can create this many, and hourly_rate is for this many.

Required range: 2 <= x <= 64
region
string

A region, the start of one, or a city or country.

include_community
boolean
default:false
stack
enum<string>

Only offers that can run this stack.

Available options:
none,
slurm,
kubernetes,
ray
volume
boolean
default:false

The cluster will get a volume (storage_id): only machines that may hold one, never community hosts.

Response

Offers.

data
object[]
required